import { ExpressErrorMiddlewareInterface } from '@benjd90/routing-controllers';
import { N9Log } from '@neo9/n9-node-log';
import { NextFunction, Request, Response } from 'express';
import * as N9NodeRouting from '../models/routing';
export declare class ErrorHandler implements ExpressErrorMiddlewareInterface {
    private logger;
    private n9NodeRoutingOptions;
    private readonly sentryErrorHandler;
    private readonly newRelicNoticeError;
    constructor(logger: N9Log, n9NodeRoutingOptions: N9NodeRouting.Options);
    error(error: any, request: Request, response: Response, next: NextFunction): void;
}
