import { ExpressMiddlewareInterface } from '@benjd90/routing-controllers';
import { NextFunction, Request, Response } from 'express';
import * as N9NodeRouting from '../models/routing';
export declare class SentryTracingInterceptor implements ExpressMiddlewareInterface {
    private n9NodeRoutingOptions;
    private readonly tracingHandler;
    constructor(n9NodeRoutingOptions: N9NodeRouting.Options);
    use(request: Request, response: Response, next: NextFunction): void;
}
