import { N9ConfOptions } from '@neo9/n9-node-conf';
import * as N9NodeRouting from './models/routing';
import * as Utils from './utils';
export declare function applyConfOptionsDefaults(options: N9NodeRouting.Options): void;
export declare function getModulesPath(options: N9NodeRouting.Options): string;
export declare function applyDefaultValuesOnOptions(options: N9NodeRouting.Options, environment: Utils.Environment, appName: string): void;
export declare function mergeOptionsAndConf<ConfType>(options: N9NodeRouting.Options<ConfType>, optionsInConf: N9NodeRouting.Options<ConfType>): N9NodeRouting.Options<ConfType>;
export declare function getLoadingConfOptions(options: N9NodeRouting.Options): N9ConfOptions;
