import { Cargo } from './cargo';
export declare class HttpCargoBuilder {
    static BUILD<RESPONSE extends object = {
        _id: string;
    }>(cargoOptions: {
        cargoType: string;
        workerFn?: (requests: string[]) => Promise<any>;
        dispatchFn?: (request: string, responses: any) => RESPONSE;
        throwOnEmptyValue?: boolean;
        nbMaxConcurrentWorkers?: number;
        taskPerWorker?: number;
    }, urlGetMultiple: string | string[], keyName: string, objectKey?: string): Cargo<RESPONSE>;
}
