"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isStringOrNumber = exports.IsStringOrNumber = void 0;
const ClassValidator = require("class-validator");
let IsStringOrNumber = class IsStringOrNumber {
    validate(value) {
        return ClassValidator.isString(value) || ClassValidator.isNumber(value);
    }
    defaultMessage() {
        return 'Value should be a string or a number';
    }
};
exports.IsStringOrNumber = IsStringOrNumber;
exports.IsStringOrNumber = IsStringOrNumber = __decorate([
    ClassValidator.ValidatorConstraint({ name: 'isStringOrNumber', async: false })
], IsStringOrNumber);
function isStringOrNumber(validatorOptions) {
    return (object, propertyName) => {
        ClassValidator.registerDecorator({
            propertyName,
            target: object.constructor,
            options: validatorOptions,
            constraints: [],
            validator: new IsStringOrNumber(),
        });
    };
}
exports.isStringOrNumber = isStringOrNumber;
//# sourceMappingURL=string-or-number.validator.js.map