import 'reflect-metadata';
import type { PackageJson } from 'types-package-json';
import * as N9NodeRouting from './models/routing';
import { N9NodeConfOptions } from './models/routing';
export declare function generateDocumentationJson(n9NodeRoutingOptions: N9NodeRouting.Options, serverAlreadyStarted?: boolean, defaultValuesAreAlreadySet?: boolean, packageJson?: PackageJson): object;
export declare function getDocumentationJsonPath(options: N9NodeRouting.Options): string;
export declare function generateDocumentationJsonToFile(optionsParams?: {
    path?: string;
    conf?: {
        n9NodeConf?: N9NodeConfOptions<N9NodeRouting.N9NodeRoutingBaseConf>;
    };
}): string;
