"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.N9NodeConfOptions = exports.N9NodeConfOptionsOverride = exports.N9NodeConfOptionsExtendConfig = exports.N9NodeConfOptionsExtendConfigPath = void 0;
const n9_node_conf_1 = require("@neo9/n9-node-conf");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class N9NodeConfOptionsExtendConfigPath {
}
exports.N9NodeConfOptionsExtendConfigPath = N9NodeConfOptionsExtendConfigPath;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], N9NodeConfOptionsExtendConfigPath.prototype, "absolute", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], N9NodeConfOptionsExtendConfigPath.prototype, "relative", void 0);
class N9NodeConfOptionsExtendConfigKey {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], N9NodeConfOptionsExtendConfigKey.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsEnum)(n9_node_conf_1.ExtendConfigKeyFormat),
    __metadata("design:type", String)
], N9NodeConfOptionsExtendConfigKey.prototype, "format", void 0);
class N9NodeConfOptionsExtendConfig {
}
exports.N9NodeConfOptionsExtendConfig = N9NodeConfOptionsExtendConfig;
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => N9NodeConfOptionsExtendConfigPath),
    __metadata("design:type", N9NodeConfOptionsExtendConfigPath)
], N9NodeConfOptionsExtendConfig.prototype, "path", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => N9NodeConfOptionsExtendConfigKey),
    __metadata("design:type", N9NodeConfOptionsExtendConfigKey)
], N9NodeConfOptionsExtendConfig.prototype, "key", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsEnum)(n9_node_conf_1.N9ConfMergeStrategy),
    __metadata("design:type", String)
], N9NodeConfOptionsExtendConfig.prototype, "mergeStrategy", void 0);
class N9NodeConfOptionsOverride {
}
exports.N9NodeConfOptionsOverride = N9NodeConfOptionsOverride;
__decorate([
    (0, class_validator_1.IsObject)()
    // Using PartialDeep<BaseConf> | PartialDeep<T> instead of just PartialDeep<ConfType> because
    // PartialDeep<ConfType> don't extend PartialDeep<BaseConf>
    ,
    __metadata("design:type", Object)
], N9NodeConfOptionsOverride.prototype, "value", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsEnum)(n9_node_conf_1.N9ConfMergeStrategy),
    __metadata("design:type", String)
], N9NodeConfOptionsOverride.prototype, "mergeStrategy", void 0);
class N9NodeConfOptions {
}
exports.N9NodeConfOptions = N9NodeConfOptions;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], N9NodeConfOptions.prototype, "path", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => N9NodeConfOptionsExtendConfig),
    __metadata("design:type", N9NodeConfOptionsExtendConfig)
], N9NodeConfOptions.prototype, "extendConfig", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], N9NodeConfOptions.prototype, "overridePackageJsonDirPath", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => N9NodeConfOptionsOverride),
    __metadata("design:type", N9NodeConfOptionsOverride)
], N9NodeConfOptions.prototype, "override", void 0);
//# sourceMappingURL=n9-node-conf.implementation.js.map