"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoutingControllersOptions = exports.RoutingControllersOptionsDefaults = exports.RoutingControllersOptionsDefaultsParamOptions = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const class_transform_options_implementation_1 = require("./class-transform-options.implementation");
class RoutingControllersOptionsDefaultsParamOptions {
}
exports.RoutingControllersOptionsDefaultsParamOptions = RoutingControllersOptionsDefaultsParamOptions;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], RoutingControllersOptionsDefaultsParamOptions.prototype, "required", void 0);
class RoutingControllersOptionsDefaults {
}
exports.RoutingControllersOptionsDefaults = RoutingControllersOptionsDefaults;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], RoutingControllersOptionsDefaults.prototype, "nullResultCode", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], RoutingControllersOptionsDefaults.prototype, "undefinedResultCode", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => RoutingControllersOptionsDefaultsParamOptions),
    __metadata("design:type", RoutingControllersOptionsDefaultsParamOptions)
], RoutingControllersOptionsDefaults.prototype, "paramOptions", void 0);
class RoutingControllersOptions {
}
exports.RoutingControllersOptions = RoutingControllersOptions;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], RoutingControllersOptions.prototype, "cors", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], RoutingControllersOptions.prototype, "routePrefix", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], RoutingControllersOptions.prototype, "controllers", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Array)
], RoutingControllersOptions.prototype, "middlewares", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Array)
], RoutingControllersOptions.prototype, "interceptors", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], RoutingControllersOptions.prototype, "classTransformer", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => class_transform_options_implementation_1.ClassTransformOptions),
    __metadata("design:type", class_transform_options_implementation_1.ClassTransformOptions)
], RoutingControllersOptions.prototype, "classToPlainTransformOptions", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => class_transform_options_implementation_1.ClassTransformOptions),
    __metadata("design:type", class_transform_options_implementation_1.ClassTransformOptions)
], RoutingControllersOptions.prototype, "plainToClassTransformOptions", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], RoutingControllersOptions.prototype, "validation", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], RoutingControllersOptions.prototype, "development", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], RoutingControllersOptions.prototype, "defaultErrorHandler", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], RoutingControllersOptions.prototype, "errorOverridingMap", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Function)
], RoutingControllersOptions.prototype, "authorizationChecker", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Function)
], RoutingControllersOptions.prototype, "currentUserChecker", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => RoutingControllersOptions),
    __metadata("design:type", RoutingControllersOptionsDefaults)
], RoutingControllersOptions.prototype, "defaults", void 0);
//# sourceMappingURL=routing-controllers-options.implementation.js.map