import { Class } from 'type-fest';
import { N9NodeRoutingBaseConf } from './base-conf';
import { N9NodeConfOptions } from './implementations/n9-node-conf.implementation';
export declare class ConfValidationOptions<ConfType extends N9NodeRoutingBaseConf = N9NodeRoutingBaseConf> {
    isEnabled?: boolean;
    classType?: Class<ConfType>;
    formatValidationErrors?: boolean;
    formatWhitelistErrors?: boolean;
}
export declare class ConfOptions<ConfType extends N9NodeRoutingBaseConf = N9NodeRoutingBaseConf> {
    n9NodeConf?: N9NodeConfOptions<ConfType>;
    validation?: ConfValidationOptions<ConfType>;
}
