"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpOptions = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const string_or_number_validator_1 = require("../../validators/string-or-number.validator");
const routing_controllers_options_implementation_1 = require("./implementations/routing-controllers-options.implementation");
const options_bodyparser_1 = require("./options-bodyparser");
const options_pingdb_1 = require("./options-pingdb");
class HttpPing {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => options_pingdb_1.PingDb),
    __metadata("design:type", Array)
], HttpPing.prototype, "dbs", void 0);
class HttpOptions {
}
exports.HttpOptions = HttpOptions;
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", HttpPing)
], HttpOptions.prototype, "ping", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], HttpOptions.prototype, "logLevel", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, string_or_number_validator_1.isStringOrNumber)(),
    __metadata("design:type", Object)
], HttpOptions.prototype, "port", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], HttpOptions.prototype, "preventListen", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => routing_controllers_options_implementation_1.RoutingControllersOptions),
    __metadata("design:type", routing_controllers_options_implementation_1.RoutingControllersOptions)
], HttpOptions.prototype, "routingController", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => options_bodyparser_1.BodyParserOptions),
    __metadata("design:type", options_bodyparser_1.BodyParserOptions)
], HttpOptions.prototype, "bodyParser", void 0);
//# sourceMappingURL=options-http.js.map