import { N9Log } from '@neo9/n9-node-log';
export type CallbacksBeforeShutdownFunction = (log: N9Log) => Promise<void>;
export declare class CallbacksBeforeShutdown {
    function: CallbacksBeforeShutdownFunction;
    thisArg: any;
    name?: string;
}
export declare class ShutdownOptions {
    callbacksBeforeShutdown?: CallbacksBeforeShutdown[];
    callbacksBeforeShutdownAfterExpressEnded?: CallbacksBeforeShutdown[];
    callbacksOnShutdownSignalReceived?: CallbacksBeforeShutdown[];
    waitDurationBeforeStop?: number;
    enableGracefulShutdown?: boolean;
    timeout?: number;
}
