"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShutdownOptions = exports.CallbacksBeforeShutdown = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class CallbacksBeforeShutdown {
}
exports.CallbacksBeforeShutdown = CallbacksBeforeShutdown;
__decorate([
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], CallbacksBeforeShutdown.prototype, "thisArg", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CallbacksBeforeShutdown.prototype, "name", void 0);
class ShutdownOptions {
}
exports.ShutdownOptions = ShutdownOptions;
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => CallbacksBeforeShutdown),
    __metadata("design:type", Array)
], ShutdownOptions.prototype, "callbacksBeforeShutdown", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => CallbacksBeforeShutdown),
    __metadata("design:type", Array)
], ShutdownOptions.prototype, "callbacksBeforeShutdownAfterExpressEnded", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => CallbacksBeforeShutdown),
    __metadata("design:type", Array)
], ShutdownOptions.prototype, "callbacksOnShutdownSignalReceived", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ShutdownOptions.prototype, "waitDurationBeforeStop", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], ShutdownOptions.prototype, "enableGracefulShutdown", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ShutdownOptions.prototype, "timeout", void 0);
//# sourceMappingURL=options-shutdown.js.map